Bug 1028639 - Need to specify the need to potenially increase the allowed number of processes for user running JON on Linux and unixes
Need to specify the need to potenially increase the allowed number of process...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity high
: GA
: JON 3.2.0
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks: 1012435
  Show dependency treegraph
 
Reported: 2013-11-08 18:38 EST by Lukas Krejci
Modified: 2014-09-05 11:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-05 11:40:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2013-11-08 18:38:58 EST
Description of problem:
As part of investigation of bug 1025767, it was determined that the default number of allowed processes (to which the Java threads map under Linux) is enough for basic operation (the default is 1024).

However we've also seen that under a heavy load and if the user is running other "heavy" software like postgres, etc, that number can be too low and can cause out of memory errors.

We should document the need to increase the number of allowed process per user in addition to increasing the maximum heap size if the JON server starts to get out of memory errors.


Version-Release number of selected component (if applicable):
JON3.2.0
Comment 1 Mike Foley 2013-11-11 08:03:38 EST
this should be doc'd for JON 3.2.  flagging for documentation
Comment 2 Deon Ballard 2014-01-24 13:19:11 EST
This was added to teh new performance tuning chapter:
https://access.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Operations_Network/3.2/html/Admin_and_Config/server-jvm.html

Note You need to log in before you can comment on or make changes to this bug.